Results 1 to 10 of 10
  1. #1
    Join Date
    Nov 2017
    Location
    United States
    Posts
    6
    Plugin Contributions
    0

    Default Problem with PayPal error 77 after upgrade - http server software reset fixes

    I recently upgraded from 1.3.9h to 1.5.5 and took lots of work but my site is working now. The only constant issue I'm having is a problem with PayPal access. I know it is a server issue with my local hosting company but he can't seem to figure it out so I'm hoping someone here can help me point him in the right direction.
    As soon as I made the new upgrade active, I immediately started getting paypal error 77 when people try checking out which is an error with the site not being able to contact paypal. This never happened with the old version. When I upgraded I also upgraded the PayPal Express Checkout module to the most current too. So my hosting guy increased the php input variables to 10x what every other site he hosts uses (I'm the only one using zen cart) and that temporarily fixed it. Now he has to reset the http software (not server) and it fixes it for a little while then comes back again. I don't know much about this stuff but its like something is filling up and resetting empties it. I figure the new version has better security so can that be having something to do with it? I searched the forum and no one else seems to be having this issue so figure it has to be something with the server which I have no access to and have no clue about how those work. Anyone have a suggestion where to point him to look and/or how to fix this?
    Last edited by osdmarine; 22 Nov 2017 at 08:19 PM.

  2. #2
    Join Date
    Jan 2004
    Posts
    64,748
    Blog Entries
    6
    Plugin Contributions
    214

    Default Re: Problem with PayPal error 77 after upgrade - http server software reset fixes

    Quote Originally Posted by osdmarine View Post
    getting paypal error 77
    Is it really # 77 ? Or just 7 ?

    Quote Originally Posted by osdmarine View Post
    which is an error with the site not being able to contact paypal.
    Please explain how you came to this conclusion.

    Quote Originally Posted by osdmarine View Post
    my hosting guy increased the php input variables to 10x what every other site he hosts uses (I'm the only one using zen cart) and that temporarily fixed it. Now he has to reset the http software (not server) and it fixes it for a little while then comes back again.
    Can you post what EXACTLY he has to "fix"/"reset"/whatever? Yes, EXACTLY, in COMPLETE detail. The detail is necessary in order to understand what's really happening on your site. Yes, you'll have to get him to tell you the complete details.
    .

    Zen Cart - putting the dream of business ownership within reach of anyone!
    Donate to: DrByte directly or to the Zen Cart team as a whole

    Remember: Any code suggestions you see here are merely suggestions. You assume full responsibility for your use of any such suggestions, including any impact ANY alterations you make to your site may have on your PCI compliance.
    Furthermore, any advice you see here about PCI matters is merely an opinion, and should not be relied upon as "official". Official PCI information should be obtained from the PCI Security Council directly or from one of their authorized Assessors.

  3. #3
    Join Date
    Nov 2017
    Location
    United States
    Posts
    6
    Plugin Contributions
    0

    Default Re: Problem with PayPal error 77 after upgrade - http server software reset fixes

    The pp log email I get says this...
    "(77) Zen Cart message: An error occurred when we tried to contact the payment processor."
    When it happens I also get a red error notification box on the site saying the same thing.

    As for what he has to do I'll email him and ask that info and get back with.

  4. #4
    Join Date
    Nov 2017
    Location
    United States
    Posts
    6
    Plugin Contributions
    0

    Default Re: Problem with PayPal error 77 after upgrade - http server software reset fixes

    He says...
    "It's a PHP variable limit. I set it to 50,000. That is the only change I did, however for the change to take effect I have to restart Apache which is the http software. Since the restart works anyways it may not be a variable limit issue."

    I don't know what I'm talking about really but apparently restarting Apache is the fix. I can't have him doing that daily obviously so is there a certain Apache version he should be using so I can pass along? Or maybe a setting?
    Remember as I said, no problems with 1.3.9 this all came about once I upgraded to the newest 1.5.5. so seems to me something in the current build is causing PayPal/Apache problems for me.

  5. #5
    Join Date
    Jan 2004
    Posts
    64,748
    Blog Entries
    6
    Plugin Contributions
    214

    Default Re: Problem with PayPal error 77 after upgrade - http server software reset fixes

    Quote Originally Posted by osdmarine View Post
    He says...
    "It's a PHP variable limit. I set it to 50,000. That is the only change I did, however for the change to take effect I have to restart Apache which is the http software. Since the restart works anyways it may not be a variable limit issue."

    I don't know what I'm talking about really but apparently restarting Apache is the fix. I can't have him doing that daily obviously so is there a certain Apache version he should be using so I can pass along? Or maybe a setting?
    Remember as I said, no problems with 1.3.9 this all came about once I upgraded to the newest 1.5.5. so seems to me something in the current build is causing PayPal/Apache problems for me.
    There's no such setting as "variable limit" in PHP.
    The EXACT actual setting name is needed in order to understand what "fix" is actually bandaging the situation for you.
    Along with the ACTUAL name/s of the setting/s, the host's default value would be useful (as is the "new" value, which you say he said is 50000).

    And, if restarting Apache fixes things, then it's quite possible that the server is having memory leaks or other issues that it can't handle clearing up on its own.

    Further, CURL error 77 is an "SSL CA" problem, meaning your server's internal Certificate Authority chain isn't reliable. Maybe out-of-date, or missing critical entries.
    .

    Zen Cart - putting the dream of business ownership within reach of anyone!
    Donate to: DrByte directly or to the Zen Cart team as a whole

    Remember: Any code suggestions you see here are merely suggestions. You assume full responsibility for your use of any such suggestions, including any impact ANY alterations you make to your site may have on your PCI compliance.
    Furthermore, any advice you see here about PCI matters is merely an opinion, and should not be relied upon as "official". Official PCI information should be obtained from the PCI Security Council directly or from one of their authorized Assessors.

  6. #6
    Join Date
    Nov 2017
    Location
    United States
    Posts
    6
    Plugin Contributions
    0

    Default Re: Problem with PayPal error 77 after upgrade - http server software reset fixes

    I'm passing this info along now. What I don't understand though is why I had no problems until I upgraded to the latest Zen Cart. Losing sales today on Black Friday because PayPal isn't working right now is not making me happy for upgrading I'll tell you!

  7. #7
    Join Date
    Nov 2017
    Location
    United States
    Posts
    6
    Plugin Contributions
    0

    Default Re: Problem with PayPal error 77 after upgrade - http server software reset fixes

    What he says just now...

    "A memory leak is possible, but that would be bad coding from zen cart. Memory leaks only happen from poorly coded software that do not free up memory when they are done with variables. They don't just happen on a computer, they happen from software.
    Again I am going to track this down. I am not being argumentative, just sharing my options as a linux administrator. :)"

    I also talked to PayPal and they gave me a link to a page with what hosts need to have to accept payments. My hosting company says all is current including ssl and others are accepting PayPal including him no issues. The issue seems to be with zen cart and me upgrading to the most current 1.5.5 since payments never gave an error when I was running 1.3.7. He nor I understand why I'm the only person who seems to be having this problem but hopefully he can get it sorted.

  8. #8
    Join Date
    Jan 2004
    Posts
    64,748
    Blog Entries
    6
    Plugin Contributions
    214

    Default Re: Problem with PayPal error 77 after upgrade - http server software reset fixes

    1. It's not helpful that your server guy can't actually name the setting he says he's been changing.

    2. The reason that v1.5.5 is having these issues is that the coding has been updated to specifically require secure TLS communication.
    Your error 77 is reporting that your server's core TLS capabilities are not functioning consistently.

    The only "issue" caused by v1.5.5 is that it's trying to be more secure, specifically to be compliant with PayPal's requirements, and for basic PCI compliance.
    .

    Zen Cart - putting the dream of business ownership within reach of anyone!
    Donate to: DrByte directly or to the Zen Cart team as a whole

    Remember: Any code suggestions you see here are merely suggestions. You assume full responsibility for your use of any such suggestions, including any impact ANY alterations you make to your site may have on your PCI compliance.
    Furthermore, any advice you see here about PCI matters is merely an opinion, and should not be relied upon as "official". Official PCI information should be obtained from the PCI Security Council directly or from one of their authorized Assessors.

  9. #9
    Join Date
    Jul 2012
    Posts
    11,620
    Plugin Contributions
    13

    Default Re: Problem with PayPal error 77 after upgrade - http server software reset fixes

    What's the PHP version?
    ZC Installation/Maintenance Support <- Site
    Contribution for contributions welcome...
    Upgraded to Zen Cart V1.5.3 from V1.5.1 from V1.5.0 from V1.3.9h

  10. #10
    Join Date
    Nov 2017
    Location
    United States
    Posts
    6
    Plugin Contributions
    0

    Default Re: Problem with PayPal error 77 after upgrade - http server software reset fixes

    Update - Looks like it's been resolved now. Took quite a few emails back and forth and effort on his part but he tells me once he updated from PHP 5.4 to 5.5 that seems to have fixed it. Haven't got another error for 3 days now. Hopefully that did the trick!
    Thanks also for everyones suggestions too!

 

 

Similar Threads

  1. HTTP 500 Internal Server Error after completed transaction (GoDaddy hosting)
    By xparm in forum PayPal Express Checkout support
    Replies: 13
    Last Post: 3 Dec 2010, 04:36 PM
  2. Replies: 1
    Last Post: 23 Sep 2010, 09:55 PM
  3. Installing on Windows Server 2003 - HTTP 500 Error After install
    By Karm4 in forum Installing on a Windows Server
    Replies: 3
    Last Post: 14 Sep 2010, 03:36 PM
  4. 500 Internal Server Error - Problem after upgrade
    By Rangertrek in forum General Questions
    Replies: 1
    Last Post: 3 Oct 2009, 11:25 PM
  5. Problem with PayPal IPN after upgrade
    By artcoder in forum Upgrading from 1.3.x to 1.3.9
    Replies: 3
    Last Post: 11 Aug 2008, 07:48 AM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
disjunctive-egg
Zen-Cart, Internet Selling Services, Klamath Falls, OR